speedo = {}

function speedo:new()
  local object = {
    speed = 0,
    rectWidth = 10,
    rectHeight = 32,
    maxSpeed = 0,
    incrament = 1
  }
  setmetatable(object, { __index = speedo })
  return object
end


function speedo:update(speed)

  self.speed = speed

  if (self.speed < 0) then
    self.rectWidth = -self.speed
  else
    self.rectWidth = self.speed
  end
  
  self.rectWidth = self.rectWidth / self.maxSpeed
  self.rectWidth = self.rectWidth * 100

end
